unit form;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, midi, ExtCtrls;

type
  TForm1 = class(TForm)
    open: TButton;
    Play: TButton;
    Close: TButton;
    UMidi: TUMidi;
    Timer1: TTimer;
    procedure openClick(Sender: TObject);
    procedure PlayClick(Sender: TObject);
    procedure CloseClick(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.openClick(Sender: TObject);
var i:integer;
begin
i:=UMidi.Open;
if i<>0 then
   Open.caption:=IntToStr(i)+': '+UMidi.ErrStr(i)
else
   Open.caption:='OK';

end;


procedure TForm1.PlayClick(Sender: TObject);
begin
Timer1.Enabled:=not Timer1.Enabled;
end;

procedure TForm1.CloseClick(Sender: TObject);
var i:integer;
begin
i:=UMidi.Close;
if i<>0 then
   Close.caption:=IntToStr(i)+': '+UMidi.ErrStr(i)
else
   Close.caption:='OK';
end;

procedure TForm1.Timer1Timer(Sender: TObject);
var i:integer;
begin
i:=UMidi.Play(2,2);
if i<>0 then
   Play.caption:=IntToStr(i)+': '+UMidi.ErrStr(i)
else
   Play.caption:='OK';
end;

end.
